Subject: bug#30792: 26.0.91; improve docstring of with-help-window

From: martin rudalics <[email-masked]>
Date: Wed, 14 Mar 2018 21:05:57 +0100

>> Neither `with-temp-buffer-window' nor `help-mode' are of any relevance
 >> here.
 >
 > ??? with-help-window is a thin wrapper around with-temp-buffer-window.

I confused `with-temp-buffer-window' and `with-output-to-temp-buffer'.
It's the former that sets up the quitting mechanism.

 >> The distinctive aspect of `with-help-window' is provided by
 >> `help-window-setup' which sets up the help window for quitting it
 >> later.
 >
 > Indeed,

... not really, as mentioned abbove ...

 > which is why I think the modified doc string should keep the
 > part of the existing doc string which tells about this special setup.

The comment before the definition of `with-help-window' says what it
does additionally.  It think it's really not necessary to say it in
the doc-string.

But if we change BUFFER-NAME to BUFFER-OR-NAME this should be
reflected in the Elisp manual.

martin